Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023067
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2013-02-13 12:102013-03-04 12:31
ReporteregoitzView Statuspublic 
Assigned Tojonalegriaesarte 
PriorityurgentResolutionfixedFixed in Version3.0MP21
StatusclosedFix in branchFixed in SCM revision9f692840db92
ProjectionnoneETAnoneTarget Version3.0MP21
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP19.3SCM revision 
Review Assigned Toegoitz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023067: The generate invoices from shipments process takes long.

DescriptionThe generate invoices process from shipments takes long when there are a lot of invoices, and invoice lines
Steps To Reproduce-On an environment with a lot of invoices and invoicelines create 10 shipments and complete all .
-Go to generate invoices from shipment window-
-Select all the shipments and click on process
*It takes long to create the data
Proposed SolutionAdd the following index:


CREATE INDEX c_invoicelinetax_invoiceline ON c_invoicelinetax USING
btree (c_invoiceline_id);
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056659)
hgbot (developer)
2013-02-21 02:29

Repository: erp/devel/pi
Changeset: 9f692840db9276e750afabee18ac901adce53acd
Author: Jon Alegría <jon.alegria <at> openbravo.com>
Date: Thu Feb 21 02:28:45 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9f692840db9276e750afabee18ac901adce53acd [^]

Fixes issue 0023067: The generate invoices from shipments process takes long.

---
M src-db/database/model/tables/C_INVOICELINETAX.xml
---
(0056705)
hudsonbot (developer)
2013-02-21 17:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2add4de9509d [^]

Maturity status: Test
(0056993)
egoitz (developer)
2013-03-04 12:31

verified

- Issue History
Date Modified Username Field Change
2013-02-13 12:10 egoitz New Issue
2013-02-13 12:10 egoitz Assigned To => dmiguelez
2013-02-13 12:10 egoitz Modules => Core
2013-02-13 12:10 egoitz Triggers an Emergency Pack => No
2013-02-13 12:11 egoitz Tag Attached: Performance
2013-02-14 08:59 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-02-21 02:29 hgbot Checkin
2013-02-21 02:29 hgbot Note Added: 0056659
2013-02-21 02:29 hgbot Status new => resolved
2013-02-21 02:29 hgbot Resolution open => fixed
2013-02-21 02:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9f692840db9276e750afabee18ac901adce53acd [^]
2013-02-21 17:48 hudsonbot Checkin
2013-02-21 17:48 hudsonbot Note Added: 0056705
2013-03-04 12:31 egoitz Review Assigned To => egoitz
2013-03-04 12:31 egoitz Note Added: 0056993
2013-03-04 12:31 egoitz Status resolved => closed
2013-03-04 12:31 egoitz Fixed in Version => 3.0MP21


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker